Skip to main content
POST
Request activation info

Authorizations

x-api-key
string
header
required

Headers

X-RequestIdentifier
string<uuid>

Optional identifier to support idempotency

x-request-id
string

Unique request id generated by the reseller. Useful for e2e trouble-shooting. While listed as an optional header, some content providers consider this to be mandatory.

x-operation-id
string

Reseller-generated unique id per operation. Used by some content providers to identify an idempotent retry. While listed as an optional header, some content providers consider this to be mandatory.

Path Parameters

entitlementId
string<uuid>
required

Bango generated unique identifier of the entitlement

Body

application/json

Request example

options
enum<string>

Optional properties for the type of activation token being requested.

Available options:
SHORT_LIVED_TOKEN,
LONG_LIVED_TOKEN
Example:

"SHORT_LIVED_TOKEN"

Response

Activation information returned

entitlementId
string
required

Unique identifier representing a specific entitlement.

Example:

"a25100b8-4e0c-4e37-b921-cac9cb1e930f"

responseCode
string
required
Example:

"CLIENT_ACTIION_REQUIRED"

responseMessage
string
required
Example:

"An action is required to be performed by the client."

activationCode
string

The activation response will normally be a url. However, this field is returned instead of the parameters block if the content provider supports activation codes rather than urls

Example:

"STB45454"

parameters
object